summaryrefslogtreecommitdiffstats
path: root/libraries/libburn
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-18 14:51:34 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-18 14:51:34 -0500
commitceeb9c38492221dbf4cf467201ba5f6ae74f67cf (patch)
tree8703b22795c745b029ced529a130d972f220ba8e /libraries/libburn
parent6a411aa6c5c4dacea5539396dc58302896eac5b5 (diff)
downloadslackbuilds-ceeb9c38492221dbf4cf467201ba5f6ae74f67cf.tar.gz
slackbuilds-ceeb9c38492221dbf4cf467201ba5f6ae74f67cf.tar.xz
libraries/libburn: Updated for version 0.8.0.
Diffstat (limited to 'libraries/libburn')
-rw-r--r--libraries/libburn/libburn.SlackBuild32
-rw-r--r--libraries/libburn/libburn.info6
2 files changed, 22 insertions, 16 deletions
diff --git a/libraries/libburn/libburn.SlackBuild b/libraries/libburn/libburn.SlackBuild
index 151dcda49b..ba665f9dcd 100644
--- a/libraries/libburn/libburn.SlackBuild
+++ b/libraries/libburn/libburn.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libburn
-# Copyright 2008-2010 Robby Workman, Northport, Alabama, USA
+# Copyright 2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,11 +23,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libburn
-VERSION=0.7.6
-ARCH=${ARCH:-i486}
+VERSION=0.8.0
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,6 +51,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -68,17 +80,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/libburn/libburn.info b/libraries/libburn/libburn.info
index 45835bc711..303e17f58d 100644
--- a/libraries/libburn/libburn.info
+++ b/libraries/libburn/libburn.info
@@ -1,8 +1,8 @@
PRGNAM="libburn"
-VERSION="0.7.6"
+VERSION="0.8.0"
HOMEPAGE="http://libburnia-project.org/wiki/Libburn"
-DOWNLOAD="http://files.libburnia-project.org/releases/libburn-0.7.6.pl00.tar.gz"
-MD5SUM="71013f1a52bd9b232fa02a81b875452b"
+DOWNLOAD="http://files.libburnia-project.org/releases/libburn-0.8.0.pl00.tar.gz"
+MD5SUM="5dc47d0c089dc1310f03dc99edcfeaf0"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Robby Workman"